Subject: bug#59797: 30.0.50; [wishlist] Using namespaces in Tramp's kubernetes integration

From: Eshel Yaron <[email-masked]>
Date: Thu, 25 Jul 2024 12:48:42 +0200

Michael Albinus <[email-masked]> writes:

> I'fixed this, see appended revised patch. I've changed also the default
> value of tramp-kubernetes-namespace to nil; we shouldn't assume that
> everybody wants "default" as default.

Looks good.  (I think the custom type of tramp-kubernetes-namespace may
need updating because it currently only permits string values.)

> Could you give it a short test, please?

I tried it with Dired, M-x shell, C-x C-f, remote file name completion,
everything seems to work well!

Thanks,

Eshel